%define base_name	phpmailer
%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

%define subrel 1

Name:		php-%{base_name}
Version:	5.2.27
Release:	%mkrel 1
Summary:	Full featured email transfer class for PHP
License:	LGPL
Group:		Development/Other
URL:		https://github.com/PHPMailer/PHPMailer
Source: 	https://github.com/PHPMailer/PHPMailer/archive/v%{version}.tar.gz
Patch0: 	b6316bb5758b5078ab9b0764289e321afd0c5a0d.patch
BuildArch: 	noarch
Requires:	php-filter
Requires:	php-hash
Requires:	php-intl
Requires:	php-mbstring
Requires:	php-openssl
Requires:	php-pcre
BuildRequires:	mercurial
Provides:	php-composer(phpmailer/phpmailer) = %{version}

%description
PHP email transport class featuring multiple file attachments, SMTP servers,
CCs, BCCs, HTML messages, and word wrap, and more. It can send email via
sendmail, PHP mail(), or with SMTP. Methods are based on the popular AspEmail
active server component.

%prep
%autosetup -S hg -n PHPMailer-%{version}

%build

%install
install -d -m 755 %{buildroot}%{php_libdir}/PHPMailer
install -d -m 755 %{buildroot}%{php_libdir}/PHPMailer/language
install -d -m 755 %{buildroot}%{php_libdir}/PHPMailer/extras
install -m 644 *.php %{buildroot}%{php_libdir}/PHPMailer
install -m 644 extras/*.php %{buildroot}%{php_libdir}/PHPMailer/extras
install -m 644 language/*.php %{buildroot}%{php_libdir}/PHPMailer/language

%files
%doc LICENSE
%doc examples
%doc composer.json
%{php_libdir}/PHPMailer


%changelog
* Wed Dec 26 2018 mokraemer <mokraemer> 5.2.27-1.1.mga6
+ Revision: 1345108
- new version (mga#24055, CVE-2018-19296)
+ guillomovitch <guillomovitch>
- add upstream patch to fix potential XSS in default debug output
+ mrambo3501 <mrambo3501>
- version 5.2.24 fixes CVE-2017-11503

* Wed Apr 19 2017 guillomovitch <guillomovitch> 5.2.23-1.mga6
+ Revision: 1096852
- new version
- switch to new PHP dependencies syntax

* Thu Jan 19 2017 mrambo3501 <mrambo3501> 5.2.22-1.mga6
+ Revision: 1082455
- update to 5.2.22 fixes CVE-2017-5223

* Fri Jan 06 2017 guillomovitch <guillomovitch> 5.2.21-1.mga6
+ Revision: 1080293
- new version 5.2.21

* Thu Jan 05 2017 mrambo3501 <mrambo3501> 5.2.14-2.mga6
+ Revision: 1080207
- debian patch added fixes CVE-2016-10033

* Mon Dec 14 2015 spuhler <spuhler> 5.2.14-1.mga6
+ Revision: 910530
-update to vers. 5.2.14
 * fixes bug # 17319

* Wed Oct 15 2014 umeabot <umeabot> 5.2.7-0.20130917.5.mga5
+ Revision: 742152
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 guillomovitch <guillomovitch> 5.2.7-0.20130917.4.mga5
+ Revision: 724649
- fix automatic dependencies
- don't provide pear(ntlm_sasl_client.php), wordpress doesn't use it anymore

* Tue Sep 16 2014 umeabot <umeabot> 5.2.7-0.20130917.3.mga5
+ Revision: 687537
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.2.7-0.20130917.2.mga4
+ Revision: 535053
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 neoclust <neoclust> 5.2.7-0.20130917.1.mga4
+ Revision: 480859
- New version ( needed by wordpress)

* Tue Feb 12 2013 guillomovitch <guillomovitch> 5.1-1.mga3
+ Revision: 398174
- new version

* Sun Jan 13 2013 umeabot <umeabot> 1.73-6.mga3
+ Revision: 377510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 07 2011 spuhler <spuhler> 1.73-5.mga1
+ Revision: 48196
- removed buildroot definition from .spec
- imported package php-phpmailer

